ExamplesBulk Download
Generate report for Argentina EEZ with filter by label_confidence = 'high'
Example bulk report request for the Argentina EEZ, filtered to high label confidence detections.
Request body
| Field | Value | Description |
|---|---|---|
name | sar-vessel-detection-example-2-high | Name of the report |
dataset | public-fixed-infrastructure-data:latest | Fixed infrastructure dataset |
format | CSV | Output format of the report |
region.dataset | public-eez-areas | Existing region dataset |
region.id | 8466 | Argentina EEZ region id |
filters | ["label_confidence = 'high'"] | Filter by high-confidence detections |
Request
# Make sure to replace [TOKEN] with your API Access Token.
curl --location 'https://gateway.api.globalfishingwatch.org/v3/bulk-reports' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer TOKEN' \
--data '{
"name": "sar-vessel-detection-example-2-high",
"dataset": "public-fixed-infrastructure-data:latest",
"format": "CSV",
"region": {
"dataset": "public-eez-areas",
"id": 8466
},
"filters": ["label_confidence = '\''high'\''"]
}'// Make sure to replace [TOKEN] with your API Access Token.
const res = await fetch('https://gateway.api.globalfishingwatch.org/v3/bulk-reports', {
method: 'POST',
headers: {
Authorization: 'Bearer [TOKEN]',
'Content-Type': 'application/json',
},
body: JSON.stringify({
name: 'sar-vessel-detection-example-2-high',
dataset: 'public-fixed-infrastructure-data:latest',
format: 'CSV',
region: {
dataset: 'public-eez-areas',
id: 8466,
},
filters: ["label_confidence = 'high'"],
}),
})
const data = await res.json()Response
{
"id": "703ac721-e8b8-4e3b-99e4-d60460053189",
"dataset": "public-fixed-infrastructure-data:v1.1",
"name": "sar-vessel-detection-example-2-high",
"filepath": "sar_fixed_infrastructure_202409.csv",
"filters": [
"label_confidence = 'high'"
],
"status": "pending",
"geom": {
"type": "dataset",
"dataset": "public-eez-areas",
"id": 8466
},
"createdAt": "2025-06-27T10:15:55.004Z",
"updatedAt": "2025-06-27T10:15:55.004Z",
"ownerId": 509,
"ownerType": "user-application",
"format": "CSV",
"fileSize": null
}Generate SAR fixed infrastructure report for Argentina EEZ with filter by label = 'oil' and structure_start_date
Example bulk report request for SAR fixed infrastructure in the Argentina EEZ, filtered by label oil and structure start date, as CSV.
Generate report for Argentina EEZ with filter by label_confidence = 'medium'
Example bulk report request for the Argentina EEZ, filtered to medium label confidence detections.